program Hallo6;
{$APPTYPE CONSOLE}
uses SysUtils;

// Kontrollstruktur while-do

var  Name, Antwort: String;
begin
  write ('Hallo! Wer bist du? ');
  readln (Name);
  Antwort := '?';
  while (Antwort <> 'j') and (Antwort <> 'n') do
  begin
    write (Name, ', geht es dir gut? ');
    readln (Antwort);
    if Antwort = 'j' then writeln ('Das freut mich!');
    if Antwort = 'n' then writeln ('Das tut mir Leid!');
  end;
  readln;
end.


